PropertyBinding (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.binding

## [Java] Class PropertyBinding

- org.codehaus.groovy.binding.PropertyBinding

- All Implemented Interfaces and Traits:
    SourceBinding, TargetBinding, TriggerBinding

      public class PropertyBinding

  Authors:
    Danno Ferrin
    Andres Almiray
  Since:
    Groovy 1.1

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `enum` | `PropertyBinding.UpdateStrategy` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `bean`
    `boolean` | `nonChangeCheck`
    `String` | `propertyName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyBinding (Object bean, String propertyName)`
    `PropertyBinding (Object bean, String propertyName, String updateStrategy)`
    `PropertyBinding (Object bean, String propertyName, PropertyBinding.UpdateStrategy updateStrategy)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `` | `Object` | `getBean()`
    `` | `String` | `getPropertyName()`
    `` | `Object` | `getSourceValue()`
    `` | `PropertyBinding.UpdateStrategy` | `getUpdateStrategy()`
    `` | `boolean` | `isNonChangeCheck()`
    `` | `void` | `setBean(Object bean)`
    `` | `void` | `setNonChangeCheck(boolean nonChangeCheck)`
    `` | `void` | `setPropertyName(String propertyName)`
    `` | `void` | `updateTargetValue(Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object bean

    - #### boolean nonChangeCheck

    - #### String propertyName

  - ### Constructor Detail

    - #### public PropertyBinding(Object bean, String propertyName)

    - #### public PropertyBinding(Object bean, String propertyName, String updateStrategy)

    - #### public PropertyBinding(Object bean, String propertyName, PropertyBinding.UpdateStrategy updateStrategy)

  - ### Method Detail

    - #### public FullBinding createBinding(SourceBinding source, TargetBinding target)

    - #### public Object getBean()

    - #### public String getPropertyName()

    - #### public Object getSourceValue()

    - #### public PropertyBinding.UpdateStrategy getUpdateStrategy()

    - #### public boolean isNonChangeCheck()

    - #### public void setBean(Object bean)

    - #### public void setNonChangeCheck(boolean nonChangeCheck)

    - #### public void setPropertyName(String propertyName)

    - #### public void updateTargetValue(Object newValue)